# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "rill-export"
version = "0.7.0"
authors = ["Denis Kolodin <deniskolodin@gmail.com>", "overfloat <rillrate@gmail.com>"]
description = "Exporters for rill tracing system"
homepage = "https://github.com/rate-technology/rill"
readme = "README.md"
keywords = ["logging"]
categories = ["development-tools::debugging"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/rate-technology/rill"
[dependencies.anyhow]
version = "1.0.36"

[dependencies.async-trait]
version = "0.1.42"

[dependencies.derive_more]
version = "0.99.11"

[dependencies.log]
version = "0.4.11"

[dependencies.meio]
version = "0.50.0"

[dependencies.meio-connect]
version = "0.50.0"

[dependencies.mime_guess]
version = "2.0.3"

[dependencies.rill]
version = "0.7.0"

[dependencies.serde]
version = "1.0.118"

[dependencies.serde-pickle]
version = "0.6.2"

[dependencies.strum]
version = "0.19.5"

[dependencies.strum_macros]
version = "0.19.4"

[dependencies.thiserror]
version = "1.0.22"

[dependencies.tokio]
version = "0.2.22"
features = ["full"]

[dependencies.toml]
version = "0.5.8"
[dev-dependencies.ctrlc]
version = "3.1.7"

[dev-dependencies.env_logger]
version = "0.8.2"
